Bullet Collision Detection & Physics Library: btSerializer Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btSerializer Class Referenceabstract

`#include <btSerializer.h>`

Inheritance diagram for btSerializer:
[legend]

## Public Member Functions
virtual | ~btSerializer ()
virtual const unsigned char * | getBufferPointer () const =0
virtual int | getCurrentBufferSize () const =0
virtual btChunk * | allocate (size_t size, int numElements)=0
virtual void | finalizeChunk (btChunk *chunk, const char *structType, int chunkCode, void *oldPtr)=0
virtual void * | findPointer (void *oldPtr)=0
virtual void * | getUniquePointer (void *oldPtr)=0
virtual void | startSerialization ()=0
virtual void | finishSerialization ()=0
virtual const char * | findNameForPointer (const void *ptr) const =0
virtual void | registerNameForPointer (const void *ptr, const char *name)=0
virtual void | serializeName (const char *ptr)=0
virtual int | getSerializationFlags () const =0
virtual void | setSerializationFlags (int flags)=0
virtual int | getNumChunks () const =0
virtual const btChunk * | getChunk (int chunkIndex) const =0

## Detailed Description

Definition at line 65 of file btSerializer.h.

## Constructor & Destructor Documentation

## ◆ ~btSerializer()

virtual btSerializer::~btSerializer | ( |  | ) |
| inlinevirtual

Definition at line 68 of file btSerializer.h.

## Member Function Documentation

## ◆ allocate()

virtual btChunk* btSerializer::allocate | ( | size_t | size,
|  | int | numElements
| ) |  |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ finalizeChunk()

virtual void btSerializer::finalizeChunk | ( | btChunk * | chunk,
|  | const char * | structType,
|  | int | chunkCode,
|  | void * | oldPtr
| ) |  |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ findNameForPointer()

virtual const char* btSerializer::findNameForPointer | ( | const void * | ptr | ) | const
| pure virtual

Implemented in btDefaultSerializer.

## ◆ findPointer()

virtual void* btSerializer::findPointer | ( | void * | oldPtr | ) |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ finishSerialization()

virtual void btSerializer::finishSerialization | ( |  | ) |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ getBufferPointer()

virtual const unsigned char* btSerializer::getBufferPointer | ( |  | ) | const
| pure virtual

Implemented in btDefaultSerializer.

## ◆ getChunk()

virtual const btChunk* btSerializer::getChunk | ( | int | chunkIndex | ) | const
| pure virtual

Implemented in btDefaultSerializer.

## ◆ getCurrentBufferSize()

virtual int btSerializer::getCurrentBufferSize | ( |  | ) | const
| pure virtual

Implemented in btDefaultSerializer.

## ◆ getNumChunks()

virtual int btSerializer::getNumChunks | ( |  | ) | const
| pure virtual

Implemented in btDefaultSerializer.

## ◆ getSerializationFlags()

virtual int btSerializer::getSerializationFlags | ( |  | ) | const
| pure virtual

Implemented in btDefaultSerializer.

## ◆ getUniquePointer()

virtual void* btSerializer::getUniquePointer | ( | void * | oldPtr | ) |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ registerNameForPointer()

virtual void btSerializer::registerNameForPointer | ( | const void * | ptr,
|  | const char * | name
| ) |  |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ serializeName()

virtual void btSerializer::serializeName | ( | const char * | ptr | ) |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ setSerializationFlags()

virtual void btSerializer::setSerializationFlags | ( | int | flags | ) |
| pure virtual

Implemented in btDefaultSerializer.

## ◆ startSerialization()

virtual void btSerializer::startSerialization | ( |  | ) |
| pure virtual

Implemented in btDefaultSerializer.

The documentation for this class was generated from the following file:

- btSerializer.h